> ## Documentation Index
> Fetch the complete documentation index at: https://docs.blat.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Batch Scrape Status

> Returns the status and results of a batch scraping job. Results are returned in batches of 10 (if available).



## OpenAPI

````yaml get /batch/scrape/{batch_id}
openapi: 3.1.0
info:
  contact:
    email: support@blat.ai
    name: Blat Support
  description: >-
    A web scraping API that supports HTML and Markdown output with optional link
    extraction.
  title: Scrape API
  version: '1.0'
servers:
  - url: https://api.blat.ai
security: []
externalDocs:
  description: ''
  url: ''
paths:
  /batch/scrape/{batch_id}:
    get:
      tags:
        - scraping
      summary: Get Batch Scrape Status
      description: >-
        Returns the status and results of a batch scraping job. Results are
        returned in batches of 10 (if available).
      parameters:
        - description: Batch ID
          explode: false
          in: path
          name: batch_id
          required: true
          schema:
            type: string
          style: simple
        - description: 'Starting index for job results (default: 0)'
          explode: true
          in: query
          name: from
          required: false
          schema:
            type: integer
          style: form
      requestBody:
        content:
          application/json:
            schema:
              type: object
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/api.BatchScrapeStatusResponse'
          description: Batch status and results
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/utils.APIError'
          description: Invalid batch ID
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/utils.APIError'
          description: Unauthorized
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/utils.APIError'
          description: Forbidden
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/utils.APIError'
          description: Batch not found
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/utils.APIError'
          description: Internal server error
      security:
        - bearerauth: []
components:
  schemas:
    api.BatchScrapeStatusResponse:
      example:
        processed: 6
        total: 1
        expires_at: expires_at
        data:
          - extracted_links:
              - extracted_links
              - extracted_links
            metadata:
              status_code: 0
              final_url: final_url
              batch_id: batch_id
              job_id: job_id
              url: url
            success: true
            error_code: error_code
            error: error
            content: content
          - extracted_links:
              - extracted_links
              - extracted_links
            metadata:
              status_code: 0
              final_url: final_url
              batch_id: batch_id
              job_id: job_id
              url: url
            success: true
            error_code: error_code
            error: error
            content: content
        status: status
      properties:
        data:
          description: The data of the batch scrape
          items:
            $ref: '#/components/schemas/api.BatchScrapeData'
          type: array
          uniqueItems: false
        expires_at:
          description: The expiration time of the batch scrape
          type: string
        processed:
          description: The number of successful scrapes
          type: integer
        status:
          description: The status of the batch scrape
          type: string
        total:
          description: The total number of URLs in the batch
          type: integer
    utils.APIError:
      example:
        code: code
        details:
          key: ''
        message: message
      properties:
        code:
          type: string
        details:
          additionalProperties: {}
        message:
          type: string
    api.BatchScrapeData:
      example:
        extracted_links:
          - extracted_links
          - extracted_links
        metadata:
          status_code: 0
          final_url: final_url
          batch_id: batch_id
          job_id: job_id
          url: url
        success: true
        error_code: error_code
        error: error
        content: content
      properties:
        content:
          description: The HTML or Markdown content
          type: string
        error:
          type: string
        error_code:
          type: string
        extracted_links:
          description: Extracted links, omitted if empty or not requested
          items:
            type: string
          type: array
          uniqueItems: false
        metadata:
          $ref: '#/components/schemas/api.BatchScrapeMetadata'
        success:
          type: boolean
    api.BatchScrapeMetadata:
      example:
        status_code: 0
        final_url: final_url
        batch_id: batch_id
        job_id: job_id
        url: url
      properties:
        batch_id:
          description: The ID of the batch scrape.
          type: string
        final_url:
          description: The final URL of the job after redirects.
          type: string
        job_id:
          description: The ID of each scrape job in the batch (represents one URL).
          type: string
        status_code:
          description: The status code of the job.
          type: integer
        url:
          description: The URL of the job.
          type: string
  securitySchemes:
    bearerauth:
      bearerFormat: JWT
      scheme: bearer
      type: http

````